<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>net.northking</groupId>
  <artifactId>production-parent</artifactId>
  <version>1.4.1-RELEASE</version>

  <packaging>pom</packaging>


  <name>production-parent</name>
  <description>京北方华南区顶级产品项目</description>
  <url>http://www.northking.net</url>
  <organization>
    <name>京北方信息技术股份有限公司</name>
    <url>http://www.northking.net</url>
  </organization>
  <licenses>
    <license>
      <name>京北方信息技术股份有限公司版权所有</name>
      <distribution>repo</distribution>
    </license>
  </licenses>
  <prerequisites>
    <maven>3.0</maven>
  </prerequisites>

  <distributionManagement>
    <repository>
      <id>hzbank</id>
      <name>release</name>
      <url>http://devops.hzbtest:38081/repository/hzbank-maven-hosted-release</url>
    </repository>
    <snapshotRepository >
      <id>hzbank</id>
      <name>snapshot</name>
      <url> http://devops.hzbtest:38081/repository/hzbank-maven-hosted-snapshot</url>
    </snapshotRepository>
  </distributionManagement>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <java.version>1.8</java.version>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <maven.compiler.version>3.7.0</maven.compiler.version>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>${maven.compiler.version}</version>
        <configuration>
          <source>${java.version}</source>
          <target>${java.version}</target>
          <encoding>${project.build.sourceEncoding}</encoding>
        </configuration>
      </plugin>
    </plugins>

  </build>
</project>